%define 	module	TwistedWeb
%define		major	9.0
%define		minor	0

Summary:	Web library for Twisted
Summary(pl.UTF-8):	Biblioteka Web dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Web/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	40b1a2f158b615b2fcfe288c341beac7
URL:		http://twistedmatrix.com/trac/wiki/TwistedWeb
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 10.0.0
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-TwistedCore >= 10.0.0
Obsoletes:	python-Twisted-web
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twisted Web is a web application server written in pure Python, with
APIs at multiple levels of abstraction to facilitate different kinds
of web programming.

%description -l pl.UTF-8
Twisted Web to serwer aplikacji WWW napisany w czystym Pythonie z API
o wielu poziomach abstrakcji, mających ułatwić różne rodzaje
programowania WWW.

%package doc
Summary:	Documentation for TwistedWeb
Summary(pl.UTF-8):	Dokumentacja do TwistedWeb
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for TwistedWeb.

%description doc -l pl.UTF-8
Dokumentacja offline do TwistedWeb.

%package examples
Summary:	Example programs for TwistedWeb
Summary(pl.UTF-8):	Programy przykładowe do TwistedWeb
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for TwistedWeb.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla TwistedWeb.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/web
%{py_sitedir}/twisted/plugins/*

%files doc
%defattr(644,root,root,755)
%doc doc/howto doc/img

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 0f0ea18
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a6c063
- release 2

* Tue Mar 09 2010 Patryk Zawadzki <patrys@room-303.com> 02a62a6
- 9.0.0

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 2ae469a
- release 2

* Fri Nov 21 2008 Karol Krenski <charles@pld-linux.org> a9c9b1e
- BR: python 2.5 (for .egg-info), rpm-pythonprov

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 5055002
- updated to 8.1.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e396b8c
- release 3

* Mon Sep 01 2008 Paweł Gołaszewski <blues@pld-linux.org> 9bc72fc
- rel.2

* Fri May 02 2008 luzik <luzik@pld-linux.org> b9f7897
- updated to 8.0.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b1e8a4b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b9e28f6
- converted to UTF-8

* Thu Feb 01 2007 Patryk Zawadzki <patrys@room-303.com> eab5ff7
- 0.7.0

* Tue Sep 26 2006 wrobell <wrobell@pld-linux.org> 0c1ce71
- rel. 0.3 to rebuild with python 2.5 (final)

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 1f08714
- cp -a implies cp -r

* Mon Aug 28 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b57952b
- rel 0.2

* Wed Jun 07 2006 Artur Frysiak <artur@frysiak.net> 85f797f
- updated 0.6.0
- added doc and example subpackages

* Sat Jun 03 2006 Jakub Bogusz <qboosh@pld-linux.org> e1124cc
- Obsoletes: python-Twisted-web

* Sat Nov 05 2005 undefine <undefine@pld-linux.org> 35ad252
- BR: python-Twisted

* Thu Jun 16 2005 speedy <speedy@pld-linux.org> 5df0aec
- BR: ZopeInteface

* Sun Jun 12 2005 Jakub Bogusz <qboosh@pld-linux.org> b84e4bd
- pl desc

